/*--------------------------------------------------------------
# Navegacion en PC 
--------------------------------------------------------------*/
@media (min-width: 1280px) {
    .navbar {
        padding: 0;
    }

        .navbar ul {
            margin: 0;
            padding: 0;
            display: flex;
            list-style: none;
            align-items: center;
        }

        .navbar li {
            position: relative;
        }

        .navbar > ul > li {
            white-space: nowrap;
            padding: 2px 0 2px 20px;
        }

        .navbar a,
        .navbar a:focus {
            display: flex;
            align-items: center;
            justify-content: space-between;
            padding: 2px 3px;
            font-family: var(--font-secondary);
            font-size: 16px;
            font-weight: 400;
            color: rgba(255, 255, 255, 0.6);
            white-space: nowrap;
            transition: 0.3s;
            position: relative;
        }

            .navbar a i,
            .navbar a:focus i {
                font-size: 12px;
                line-height: 0;
                margin-left: 5px;
            }

        .navbar > ul > li > a:before {
            content: "";
            position: absolute;
            width: 100%;
            height: 2px;
            bottom: -6px;
            left: 0;
            background-color: var(--blanco);
            visibility: hidden;
            width: 0px;
            transition: all 0.3s ease-in-out 0s;
        }

        .navbar a:hover:before,
        .navbar li:hover > a:before,
        .navbar .active:before {
            visibility: visible;
            width: 100%;
        }

        .navbar a:hover,
        .navbar .active,
        .navbar .active:focus,
        .navbar li:hover > a {
            color: var(--blanco);
        }

        .navbar .dropdown ul {
            display: block;
            position: absolute;
            left: 28px;
            top: calc(100% + 30px);
            margin: 0;
            padding: 10px 0;
            z-index: 99;
            opacity: 0;
            visibility: hidden;
            background: var(--blanco);
            box-shadow: 0px 0px 30px rgba(127, 137, 161, 0.25);
            transition: 0.3s;
            border-radius: 4px;
        }

            .navbar .dropdown ul li {
                min-width: 200px;
            }

            .navbar .dropdown ul a {
                padding: 10px 20px;
                font-size: 15px;
                text-transform: none;
                font-weight: 500;
                color: var(--ocre);
            }

                .navbar .dropdown ul a i {
                    font-size: 12px;
                }

                .navbar .dropdown ul a:hover,
                .navbar .dropdown ul .active:hover,
                .navbar .dropdown ul li:hover > a {
                    color: var(--blanco);
                }

        .navbar .dropdown:hover > ul {
            opacity: 1;
            top: 100%;
            visibility: visible;
        }

        .navbar .dropdown .dropdown ul {
            top: 0;
            left: calc(100% - 30px);
            visibility: hidden;
        }

        .navbar .dropdown .dropdown:hover > ul {
            opacity: 1;
            top: 0;
            left: 100%;
            visibility: visible;
        }
}

@media (min-width: 1280px) and (max-width: 1366px) {
    .navbar .dropdown .dropdown ul {
        left: -90%;
    }

    .navbar .dropdown .dropdown:hover > ul {
        left: -100%;
    }
}

@media (min-width: 1280px) {

    .mobile-nav-show,
    .mobile-nav-hide {
        display: none;
    }
}

/*--------------------------------------------------------------
# NAVEGACION Celulares
--------------------------------------------------------------*/
@media (max-width: 1279px) {
    .navbar {
        position: fixed;
        top: 0;
        right: -100%;
        width: 100%;
        max-width: 400px;
        bottom: 0;
        transition: 0.3s;
        z-index: 9997;
    }

        .navbar ul {
            position: absolute;
            inset: 0;
            padding: 20px 0 5px 0;
            margin: 0;
            background: rgba(0, 131, 116, 0.9);
            overflow-y: auto;
            transition: 0.3s;
            z-index: 9998;
        }

        .navbar a,
        .navbar a:focus {
            display: flex;
            align-items: center;
            justify-content: space-between;
            padding: 4px 16px;
            font-family: var(--font-primary);
            font-size: 24px;
            font-weight: 600;
            color: rgba(255, 255, 255, 0.7);
            white-space: nowrap;
            transition: 0.3s;
        }

            .navbar a i,
            .navbar a:focus i {
                font-size: 12px;
                line-height: 0;
                margin-left: 5px;
            }

            .navbar a:hover,
            .navbar .active,
            .navbar .active:focus,
            .navbar li:hover > a {
                color: var(--blanco);
            }

        .navbar .getstarted,
        .navbar .getstarted:focus {
            background: var(--azul);
            padding: 8px 20px;
            border-radius: 4px;
            margin: 15px;
            color: var(--blanco);
        }

            .navbar .getstarted:hover,
            .navbar .getstarted:focus:hover {
                color: #fff;
                background: rgba(0, 131, 116, 0.8);
            }

        .navbar .dropdown ul,
        .navbar .dropdown .dropdown ul {
            position: static;
            display: none;
            padding: 10px 0;
            margin: 10px 20px;
            transition: all 0.5s ease-in-out;
            background-color: var(--azul);
            border: 1px solid #006459;
        }

        .navbar .dropdown > .dropdown-active,
        .navbar .dropdown .dropdown > .dropdown-active {
            display: block;
        }

    .mobile-nav-show {
        color: rgba(255, 255, 255, 0.6);
        font-size: 28px;
        cursor: pointer;
        line-height: 0;
        transition: 0.5s;
        z-index: 9999;
        margin-right: 10px;
    }

    .mobile-nav-hide {
        color: var(--blanco);
        font-size: 32px;
        cursor: pointer;
        line-height: 0;
        transition: 0.5s;
        position: fixed;
        right: 20px;
        top: 20px;
        z-index: 9999;
    }

    .mobile-nav-active {
        overflow: hidden;
    }

        .mobile-nav-active .navbar {
            right: 0;
        }

            .mobile-nav-active .navbar:before {
                content: "";
                position: fixed;
                inset: 0;
                background: rgba(0, 106, 93, 0.8);
                z-index: 9996;
            }
}
